function FieldValue = Func_ReadingField(EXP,Field)
%
%   FieldValue = Func_ReadingField(EXP,Field)
%
%   Function that extract from the EXP structure passed in input the field
%   specified inside the Field field.
%
%   @param EXP  :   Experiment structure where to extract fields.
%   @param Field:   Field to extract. This is a string.
%
%   @output FieldValue  :   Value of the string extracted.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

eval(['FieldValue = EXP.',Field,';'])

end