function D = Func_DistanceMatrix(SB,SF)

nB = length(SB);
nF = length(SF);
D  = zeros(nB,nF);

for i = 1:1:nB
    SBi = Func_StructToVect(SB{i},{'x1','x2'});
    for j = 1:1:nF
        SFj = Func_StructToVect(SF{j},{'x1','x2'});
        D(i,j) = norm(SFj - SBi);
    end
end

end