function Func_SaveFigure(fig,fileName,opts)
%
%   Func_SaveFigure(fig,fileName,opts)
%
%   Saving figure function by specifying options as width, height and 
%   the file name that the .png image will be generated.
%
%   @param fig      :   Figure to be considered
%   @param fileName :   File name
%   @param opts     :   Option structure
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

%fig.Units               = 'centimeters';
%fig.Position(3)         = opts.width;
%fig.Position(4)         = opts.height;
%fig.PaperPositionMode   = 'auto';
%print([fileName,'.svg'], '-dsvg', '-r600')
%print([fileName,'.eps'], '-depsc', '-r600')
%print([fileName,'.png'], '-dpng', '-r600')
if not(isempty(fileName))
    print([fileName,opts.fileExt], opts.fileType, opts.fileRes)
end

end