function Func_SetAxesFont(Axes,opts)
%
%   Func_SetAxesFont(Axes,opts)
%
%   Setting the axes font of the specified axes object where the 
%   font name is contained inside the opts structure.
%
%   @param Axes     :   Axes object
%   @param opts     :   Option structure
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

set(Axes,'FontSize',opts.FontSize)
set(Axes,'FontName',opts.Font)
end

