function Func_SetBoundaries(opts)
%
%   Func_SetBoundaries(opts)
%
%   Setting figure boundaries specified inside the options
%   structure passed as function's argument.
%
%   @param opts     :   Option structure
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

xlim(opts.xlim), 
ylim(opts.ylim), 
if not(isempty(opts.zlim)), zlim(opts.zlim), end
box on

end