function P = Func_StructToVect(S,VAR)
%
%   P = Func_StructToVect(S,VAR)
%
%   Function that convert the structure S into a vector P. The order of the
%   P vector element of the S's field are specified inside the VAR cell
%   vector.
%
%   @param S        :   Structure that should be converted.
%   @param VAR      :   Cell structure in which are specified the order of
%                       the S's field in which the information will be
%                       presented into P.
%
%   @output P       :   Vector associated to the structure S
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

nVAR = length(VAR);
for i = 1:1:nVAR, eval(['P(',num2str(i),',:) = S.',VAR{i},';']), end

end