function S = Func_VectToStruct(P,VAR)
%
%   S = Func_VectToStruct(P,VAR)
%
%   Function that convert to structure the specified vector P. The field of
%   the S structure are dependent on the one specified inside the VAR cell
%   vector.
%
%   @param P        :   Vector that should be converted into structure.
%   @param VAR      :   Structure S field.
%
%   @output S       :   Structure of the P vector with field specified in
%                       VAR. 
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

nVAR = length(VAR);
for i = 1:1:nVAR, eval(['S.',VAR{i},' = P(',num2str(i),',:);']), end

end