function BBs = Func_ComputeBB(OBJ,VAR)
%
%   BBs = Func_ComputeBB(OBJ,VAR)
%
%   Function that compute the boundaries of the object cell array specified
%   inside the OBJ variable passed as input to this function. 
%
%   @param OBJ  :   Object cell array.
%   @param VAR  :   Variable structure used to indicated for which variable
%                   compute the variability ranges.
%
%   @output BBs :   Boundaries cell array.
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

nO     = length(OBJ);
nV     = length(VAR);
VARRef = {'x','y','z'};

for iO = 1:1:nO
    for iV = 1:1:nV
        eval(['M = max(OBJ{iO}.',VAR{iV},');']);
        eval(['m = min(OBJ{iO}.',VAR{iV},');']);
        eval(['BBs{iO}.',VARRef{iV},' = abs(M - m);']);
    end
end

end