function S = Func_Crop(S,index)
%
%   S = Func_Crop(S,index)
%
%   Function that crop each field of the structure S passed as input to
%   this function via the boolean index vector passed as input.
%
%   @param S        :   Structure to filter
%   @param index    :   Index of the structure S to retain
%   
%   @output S       :   Newly filterd structure
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

fields = fieldnames(S);
nFields = length(fields);

for i = 1:1:nFields
    eval(['S.',fields{i},' = S.',fields{i},'(index);'])
end


end