function S = Func_CropTime(S,T)
%
%   S = Func_CropTime(S,T)
%
%   Function that crop the whole fields inside the structure S to only 
%   keep information after the time instant T. The field S should contain
%   the time variable t.
%
%   @param S    :   Structure of which field needed to be cropped
%   @param T    :   Value from which to retain information
%
%   @output S   :   Structure with cropped field
%
% PhD Student Martin Matteo
% University of Padova
% Department of Information Engineering

VAR   = fieldnames(S); nVAR = length(VAR);
index = S.t > T;

for i = 1:1:nVAR
    eval(['S.',VAR{i},' = S.',VAR{i},'(index);'])
end

end