function Func_VisualizeVector(V,P)
%
%   Func_VisualizeVector(V,P)
%
%   Function that visualize the vector V passed as input located at the
%   point P specified as input parameter.
%
%   @param V    :   Vector that should be visualized
%   @param P    :   Point where the vector should be located
%
% PhD Student Martin Matteo
% Department of Information Engineering
% University of Padova

% =========================== COMPUTATIONS ================================
VX = [P(1) P(1)+V(1)];
VY = [P(2) P(2)+V(2)];
VZ = [P(3) P(3)+V(3)];

% =========================== VISUALIZATION ===============================
hold on, plot3(VX,VY,VZ,'Color','b','LineWidth',1.5), hold off

end